part of 'test_set_new_bloc.dart';

abstract class TestSetNewState extends Equatable {
  const TestSetNewState();

  @override
  List<Object> get props => [];
}

class TestSetNewInitial extends TestSetNewState {
  const TestSetNewInitial();
}

class TestSetNewLoading extends TestSetNewState {
  const TestSetNewLoading();
}

class TestSetNewReady extends TestSetNewState {
  const TestSetNewReady();
}

class TestSetNewError extends TestSetNewState {
  final String message;
  const TestSetNewError({required this.message});

  @override
  List<Object> get props => [message];
}
